﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Test</title>
</head>
<body>
    <form id="Form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
        
		<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
			<script type="text/javascript">
				var _currentDropDownCell = null;
				var _currentRow = null;
				var _grid = null;

				function ItemSelected(sender, args) {
					if (_currentRow && _currentDropDownCell && _grid) {
						var statusValue = args.get_item().get_text().replace("Status", "");
						HandleStatus(_grid, _currentRow, statusValue);
					}
				}

				function BatchEditOpened(sender, args) {
					if (args.get_columnUniqueName() == "Status") {
						_currentDropDownCell = args.get_cell();
					}
					else if (args.get_columnUniqueName() == "TextBoxColumn") {
						_currentRow = args.get_row();
						_grid = sender;
						var statusValue = sender.get_batchEditingManager().getCellValue(_currentDropDownCell).replace("Status", "");
						HandleStatus(sender, _currentRow, statusValue);
					}
				}

				function HandleStatus(sender, row, statusValue) {
					var textBox = $telerik.findControl(row, "RadTextBox1");
					if (parseInt(statusValue) <= 3) {
						if (textBox.get_visible() == true) {
							textBox.set_visible(false);
						}
					}
					else {
						textBox.set_visible(true);
					}
				}
			</script>
		</telerik:RadCodeBlock>

		<telerik:RadGrid ID="RadGrid1" runat="server" OnNeedDataSource="RadGrid1_NeedDataSource">
			<MasterTableView EditMode="Batch" AutoGenerateColumns="false">
				<BatchEditingSettings EditType="Row" />
				<Columns>
					<telerik:GridBoundColumn DataField="SNumber"></telerik:GridBoundColumn>
					<telerik:GridTemplateColumn UniqueName="Status">
						<ItemTemplate>
							<%# Eval("Status") %>
						</ItemTemplate>
						<EditItemTemplate>
							<telerik:RadDropDownList ID="RadDropDownList1" runat="server" SelectedValue='<%# Eval("Status") %>' OnClientItemSelected="ItemSelected">
								<Items>
									<telerik:DropDownListItem Text="Status1" />
									<telerik:DropDownListItem Text="Status2" />
									<telerik:DropDownListItem Text="Status3" />
									<telerik:DropDownListItem Text="Status4" />
								</Items>
							</telerik:RadDropDownList>
						</EditItemTemplate>
					</telerik:GridTemplateColumn>
					<telerik:GridBoundColumn DataField="Remark"></telerik:GridBoundColumn>
					<telerik:GridTemplateColumn UniqueName="TextBoxColumn">
						<ItemTemplate></ItemTemplate>
						<EditItemTemplate>
							<telerik:RadTextBox ID="RadTextBox1" runat="server"></telerik:RadTextBox>
						</EditItemTemplate>
					</telerik:GridTemplateColumn>
				</Columns>
			</MasterTableView>
			<ClientSettings>
				<ClientEvents OnBatchEditOpened="BatchEditOpened" />
			</ClientSettings>
		</telerik:RadGrid>
    </form>
</body>
</html>

